using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class CmRentalStatus {
        public CmRentalStatus() {
        }

        [Display(Name = "고유번호"), Key]
        public int SiteId { get; set; }
        public int RentalStatusId { get; set; }
        [Display(Name = "년")]
        public int Year { get; set; }
        [Display(Name = "월")]
        public int Month { get; set; }
        [Display(Name = "파일 ID")]
        public int? FileId { get; set; }
        [Display(Name = "파일 ID")]
        public int? FileId2 { get; set; }
        [Display(Name = "등록일")]
        [Column(TypeName = "datetime")]
        public DateTime? AddDate { get; set; }
        [Display(Name = "갱신일")]
        [Column(TypeName = "datetime")]
        public DateTime? UpdateDate { get; set; }
        [Display(Name = "등록자 ID"), Required]
        [StringLength(24, ErrorMessage = "등록자는 최대 24자까지 입력 가능합니다.")]
        public string RegisterUserId { get; set; }
        [Display(Name = "수정자 ID")]
        public string UpdateUserId { get; set; }


        [ForeignKey("SiteId")]
        public virtual CmSite CmSite { get; set; }
        [ForeignKey("RegisterUserId")]
        public virtual CmUser CmUser { get; set; }
        [ForeignKey("SiteId,FileId")]
        public virtual CmFile CmFile { get; set; }
        [ForeignKey("SiteId,FileId2")]
        public virtual CmFile CmFile2 { get; set; }
    }
}
